package com.ibtp.kontor.comics.dal;

import com.ibtp.kontor.comics.entity.VolumeEntity;

import java.util.Collection;
import java.util.List;

/**
 * Created by TPEETZ on 19.01.2015.
 */
interface VolumeDao {

    public VolumeEntity getById(Long id);

    public Collection<VolumeEntity> findByIds(List<Long> ids);

    public Collection<VolumeEntity> findByTitle(String title);

    public Collection<VolumeEntity> findAll();

    public VolumeEntity store(VolumeEntity entity);

    public void delete(VolumeEntity entity);
}
